### Hierarchy

- Agent
  - Agent

## Index

### Constructors

- constructor

### Properties

- maxFreeSockets
- maxSockets
- requests
- sockets

### Methods

- destroy

## Constructors

### constructor

- new Agent(opts?: AgentOptions): Agent

- - Defined in node_modules/@types/node/http.d.ts:240

  #### Parameters

  - ##### Optional opts: AgentOptions

  #### Returns Agent

## Properties

### maxFreeSockets

maxFreeSockets: number

- Defined in node_modules/@types/node/http.d.ts:233

### maxSockets

maxSockets: number

- Defined in node_modules/@types/node/http.d.ts:234

### requests

requests: object

- Defined in node_modules/@types/node/http.d.ts:238

#### Type declaration

- ##### [key: string]: IncomingMessage[]

### sockets

sockets: object

- Defined in node_modules/@types/node/http.d.ts:235

#### Type declaration

- ##### [key: string]: Socket[]

## Methods

### destroy

- destroy(): void

- - Defined in node_modules/@types/node/http.d.ts:250

  Destroy any sockets that are currently in use by the agent. It is usually not necessary to do this. However, if you are using an agent with KeepAlive enabled, then it is best to explicitly shut down the agent when you know that it will no longer be used. Otherwise, sockets may hang open for quite a long time before the server terminates them.

  #### Returns void

Generated using TypeDoc